GET /v1/douyin/web/fetch_one_video_by_share_url
Get single video data by sharing link
stable · 2 credits per success
Get single video data by sharing link (Essentially implemented based on the `/fetch_one_video` interface, it is recommended to obtain the video ID by yourself to improve the interface response speed);The returned video quality is higher than the APP interface, but the response fields are not as many as the APP interface.;share_url: Share link;Video data
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| share_url | string | query | yes | 分享链接 | https://v.douyin.com/e3x2fjE/ |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 2 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.